/*
This is an Ozeki Display Module example code.

You can press 12 different buttons on the keypad.
The code displays the button's number on the LCD.
It also shows if the button has been pressed or released.

These information are shown on the Serial too.
 */

#include <Wire.h>
#include "Adafruit_MPR121.h"
#include <LiquidCrystal.h>

Adafruit_MPR121 cap = Adafruit_MPR121();

LiquidCrystal lcd(6,7,8,9,10,11,12);

uint16_t lasttouched = 0;
uint16_t currtouched = 0;

void setup() {
  lcd.begin(16, 2); //2x16 LCD screen
  pinMode(3,OUTPUT);
  digitalWrite(3,HIGH); //turns backlight on
  lcd.print("OZEKI ROBOTICS!");
  
  Serial.begin(115200);
  
  Serial.println("Adafruit MPR121 Capacitive Touch sensor test"); 
  // Default address is 0x5A, if tied to 3.3V its 0x5B
  // If tied to SDA its 0x5C and if SCL then 0x5D
  if (!cap.begin(0x5A)) {
    Serial.println("MPR121 not found, check wiring?");
    while (1); //check wiring and reboot
  }
  Serial.println("MPR121 found!");
}

void loop() {
lcd.setCursor(0, 1);  
currtouched = cap.touched();
  
  for (uint8_t i=0; i<12; i++) {
    // if it *is* touched and *wasnt* touched before, alert!
    if ((currtouched & _BV(i)) && !(lasttouched & _BV(i)) ) {
      Serial.print(i); Serial.println("  touched  ");
     
      lcd.setCursor(0, 1);
      lcd.print(i); lcd.print("  touched ");
    }
    // if it *was* touched and now it *isnt*, alert!
    if (!(currtouched & _BV(i)) && (lasttouched & _BV(i)) ) {
      Serial.print(i); Serial.println(" released ");
    
      lcd.setCursor(0, 1); 
      lcd.print(i); lcd.print(" released ");
    }
  }

  // reset touched state
  lasttouched = currtouched;
}
